summaryrefslogtreecommitdiffstats
path: root/misc/BISP
diff options
context:
space:
mode:
author Minime <i_am_minime_2003@hotmail.com>2013-06-29 23:37:56 -0500
committer Erik Hanson <erik@slackbuilds.org>2013-06-30 00:15:31 -0500
commita03b2a6c9dbe79482dba52676fe665c527fc8e81 (patch)
tree5f65796452d95169e54888df889b0bb3de1a46fa /misc/BISP
parent1246c19ba953023566be8e9efdadd40f573cd2fe (diff)
downloadslackbuilds-a03b2a6c9dbe79482dba52676fe665c527fc8e81.tar.gz
slackbuilds-a03b2a6c9dbe79482dba52676fe665c527fc8e81.tar.xz
misc/BISP: Added (The Nexus Personal BankID client)
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
Diffstat (limited to 'misc/BISP')
-rw-r--r--misc/BISP/BISP.SlackBuild121
-rw-r--r--misc/BISP/BISP.browser.patch.gzbin0 -> 523 bytes
-rw-r--r--misc/BISP/BISP.info10
-rw-r--r--misc/BISP/README6
-rw-r--r--misc/BISP/doinst.sh3
-rw-r--r--misc/BISP/slack-desc19
6 files changed, 159 insertions, 0 deletions
diff --git a/misc/BISP/BISP.SlackBuild b/misc/BISP/BISP.SlackBuild
new file mode 100644
index 0000000000..48317106a6
--- /dev/null
+++ b/misc/BISP/BISP.SlackBuild
@@ -0,0 +1,121 @@
+#!/bin/sh
+
+# Slackware build script for Nexus Personal (BISP)
+#
+# Copyright 2009 Niklas "Nille" Åkerström
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+#
+###################################################
+#
+# Changed and maintaned by Minime e-mail: i_am_minime_2003@hotmail.com
+#
+# Changelog:
+# 4.10.0.x 27/Mar/2009 by Minime <i_am_minime_2003@hotmail.com>
+# * Fist attemt to make personal work in Slackware.
+# This was not a script to start with.
+# Just made a guide on wiki.slackware.se that "Damaged"
+# the Slackware install.
+# 4.10.0.x 28/Mar/2009 by Niklas "Nille" Åkerström.
+# * First full working Slackware buildscript.
+# Buildscript needed "Compatlibs" from Ubuntu.
+# 4.10.0.x 11/May/2009 by Niklas "Nille" Åkerström.
+# * Corrected some rights settings in the buildscript.
+# 4.10.2.16 01/Jan/2010
+# * Removed the "Compatlibs" and made some minor changes to the
+# Buildscript so the new version of Nexus Personal would install correctly.
+# * Added a browser plugin patch so Nexus personal works
+# with FireFox 2.x, FireFox 3.x and Seamonkey.
+# The patch puts the libplugin for nexus personal
+# in /usr/lib/mozilla/plugins
+# 4.15.0.14 05/Jun/2010 by Minime.
+# * Changed script to work with the new version.
+# * Updated browser plugin patch.
+# 4.17.0.11 06/Mar/2011 by Minime.
+# * Changed script to work with the new version.
+# * Updated browser plugin patch.
+# 4.18.0.10751 21/Jun/2011 by Minime.
+# * Updated browser plugin patch.
+# 4.18.1.10899 30/Jun/2011
+# * Updated browser plugin patch.
+# * Fixed path to .mo (Lang file) file as this was changed.
+# * Fixed some other minor changes to this script
+# 4.19.1.11663 1/Nov/2012
+# * Updated browser plugin patch.
+##################################################
+PRGNAM=BISP
+VERSION=4.19.1.11663
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+PREFIX="/usr"
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+zcat $CWD/BISP.browser.patch.gz | patch -p1 --verbose --backup --suffix=.orig
+mkdir -p $PKG/$PREFIX/lib/personal/{config,icons,lang/sv_SE}
+mkdir -p $PKG/usr/share/applications/
+mkdir -p $PKG/$PREFIX/bin
+mkdir -p $PKG/usr/lib/mozilla/plugins
+
+cd $TMP/$PRGNAM-$VERSION
+cp -a {install.*.sh,libBranding.so,libCardPrisma.so,libCardSetec.so,libCardSiemens.so,libP11.so,persadm,persadm.sh,personal.bin} $PKG/$PREFIX/lib/personal/
+
+cp Personal.cfg $PKG/$PREFIX/lib/personal/config/
+cp "nexus_logo_32x32.png" $PKG/$PREFIX/lib/personal/icons
+cp $TMP/lang/sv_SE/personal.mo $PKG/$PREFIX/lib/personal/lang/sv_SE
+cp personal.desktop $PKG/usr/share/applications/
+
+cp {libai.so,libtokenapi.so} $PKG/$PREFIX/lib/
+cp personal.sh $PKG/$PREFIX/bin/personal
+cp persadm.sh $PKG/$PREFIX/bin/persadm
+cp libplugins.so $PKG/usr/lib/mozilla/plugins/
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a BankID_Security_Application_Help_EN_US.htm BankID_Security_Application_Help_SV_SE.htm BankIDUbuntu_ReadMe_EN_US.txt \
+ BankIDUbuntu_ReadMe_SV_SE.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/misc/BISP/BISP.browser.patch.gz b/misc/BISP/BISP.browser.patch.gz
new file mode 100644
index 0000000000..fc65975e63
--- /dev/null
+++ b/misc/BISP/BISP.browser.patch.gz
Binary files differ
diff --git a/misc/BISP/BISP.info b/misc/BISP/BISP.info
new file mode 100644
index 0000000000..3bd740b0b9
--- /dev/null
+++ b/misc/BISP/BISP.info
@@ -0,0 +1,10 @@
+PRGNAM="BISP"
+VERSION="4.19.1.11663"
+HOMEPAGE="https://install.bankid.com"
+DOWNLOAD="https://install.bankid.com/Repository/BISP-4.19.1.11663.tar.gz"
+MD5SUM="9dab1508ac171e56038e920ed5851d44"
+DOWNLOAD_x86_64="UNSUPPORTED"
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Minime"
+EMAIL="i_am_minime_2003@hotmail.com"
diff --git a/misc/BISP/README b/misc/BISP/README
new file mode 100644
index 0000000000..4eed41f13d
--- /dev/null
+++ b/misc/BISP/README
@@ -0,0 +1,6 @@
+Nexus Personal is an BankID client.
+BankID is the leading electronic identity in Sweden.
+Signatures with BankID are legally binding in the EU.
+It's built upon the PKI, Public Key Infrastructure standard.
+
+This SlackBuild repacks the binary into an Slackware package.
diff --git a/misc/BISP/doinst.sh b/misc/BISP/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/misc/BISP/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/misc/BISP/slack-desc b/misc/BISP/slack-desc
new file mode 100644
index 0000000000..46d3f6b1f4
--- /dev/null
+++ b/misc/BISP/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+BISP: BISP (The Nexus Personal BankID client)
+BISP:
+BISP: BankID is the leading electronic identity in Sweden.
+BISP: Signatures with BankID are legally binding in the EU.
+BISP: It's built upon the PKI, Public Key Infrastructure standard.
+BISP:
+BISP: This SlackBuild repacks the binary into a Slackware package.
+BISP:
+BISP:
+BISP:
+BISP: